For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
  • Get started
    • Overview
    • Quickstart
  • Configure
    • Overview
    • Voice & language
    • Knowledge base
    • Tools
    • Personalization
    • Authentication
  • Deploy
    • Overview
    • Environment variables
    • WhatsApp
    • Batch calls
  • Monitor
    • Overview
    • Users
    • Testing
    • Experiments
    • Versioning
    • Conversation Analysis
    • Analytics
    • Real-time monitoring
    • Privacy
    • Cost optimization
    • CLI
  • Advanced
    • Events
    • Custom models
    • LLM cascading
    • Post-call webhooks
  • Resources
    • UI components
  • Guides
    • Chat Mode
    • Burst pricing
    • ElevenLabs' docs agent
    • Scaling user interviews
    • Simulate Conversations
        • WSSAgent WebSockets
          • POSTSubmit batch calling job
          • GETList workspace batch calling jobs
          • GETGet batch call information
          • POSTCancel batch calling job
          • POSTRetry batch calling job
          • DELDelete batch calling job
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
API referenceBatch Calling

Cancel batch calling job

POST
/v1/convai/batch-calling/:batch_id/cancel
POST
/v1/convai/batch-calling/:batch_id/cancel
$curl -X POST https://api.elevenlabs.io/v1/convai/batch-calling/batch_id/cancel
1{
2 "id": "string",
3 "phone_number_id": "string",
4 "phone_provider": "twilio",
5 "whatsapp_params": {
6 "whatsapp_call_permission_request_template_name": "string",
7 "whatsapp_call_permission_request_template_language_code": "string",
8 "whatsapp_phone_number_id": "string"
9 },
10 "name": "string",
11 "agent_id": "string",
12 "branch_id": "string",
13 "environment": "string",
14 "created_at_unix": 1,
15 "scheduled_time_unix": 1,
16 "timezone": "string",
17 "total_calls_dispatched": 0,
18 "total_calls_scheduled": 0,
19 "total_calls_finished": 0,
20 "last_updated_at_unix": 1,
21 "status": "pending",
22 "retry_count": 0,
23 "telephony_call_config": {
24 "ringing_timeout_secs": 60
25 },
26 "target_concurrency_limit": 1,
27 "agent_name": "string",
28 "branch_name": "string"
29}
Cancel a running batch call and set all recipients to cancelled status.
Was this page helpful?
Previous

Retry batch calling job

Next
Built with

Path parameters

batch_idstringRequired

Headers

xi-api-keystringOptional

Response

Successful Response
idstring
phone_number_idstring or null
phone_providerenum or null
Allowed values:
whatsapp_paramsobject or null
namestring
agent_idstring
branch_idstring or null
environmentstring or null
created_at_unixinteger
scheduled_time_unixinteger
timezonestring or null
total_calls_dispatchedintegerDefaults to 0
total_calls_scheduledintegerDefaults to 0
total_calls_finishedintegerDefaults to 0
last_updated_at_unixinteger
statusenum
Allowed values:
retry_countintegerDefaults to 0
telephony_call_configobject
target_concurrency_limitinteger or null>=1

Maximum number of simultaneous calls for this batch. When set, dispatch is governed by this limit rather than workspace/agent capacity percentages.

agent_namestring
branch_namestring or null

Errors

422
Unprocessable Entity Error